Summary: symbolic debugger for C and other languages
Name: gdb
Version: 4.17.0.14
Release: 1
Copyright: GPL
Group: Development/Debuggers
Source0: ftp://ftp.gnu.org/pub/gdb/gdb-4.17.tar.gz
Patch0: ftp://ftp.valinux.com/pub/support/hjl/gdb/gdb-4.17-%{version}.diff.gz
Buildroot: /var/tmp/gdb-root
Prereq: /sbin/install-info
Summary(de): symbolischer Debugger fr C und andere Sprachen 
Summary(fr): Dbugger symbolique pour C et d'autres langages
Summary(tr): C ve dier diller iin sembolik hata ayklayc

%description
This is a full featured, command driven debugger. It allows you to
trace the exectuion of programs and examine their internal state
at any time. It works for C and C++ compiled with the GNU C compiler
gcc.

%description -l de
dem Sie die Ausfhrung von Programmen verfolgen und jederzeit den 
inneren Zustand berprfen knnen. Er funktioniert fr C und mit 
GNU C kompiliertes C++. 

%description -l fr
Dbugger complet, pilot par commandes. Permet de tracer l'excution
des programmes et d'examiner  tout moment leur tat interne. Fonctionne
avec les binaires C et C++ compils avec le compilateur C de GNU, gcc.

%description -l tr
Bir komut arayz zerinden programcya programn adm adm izleme (trace)
ve herhangi bir anda programn durumunu inceleme olana verir.

%prep
%setup -q -n gdb-4.17
%patch0 -p2

%build
OS=`echo ${RPM_OS} | tr '[A-Z]' '[a-z]'`
CC=egcs CFLAGS="-O2 -g" ./configure --prefix=/usr ${RPM_ARCH}-redhat-${OS}
make
rm -f gdb/gdb
make -C gdb LDFLAGS=-static
make info

%install
rm -rf $RPM_BUILD_ROOT

make install install-info prefix=$RPM_BUILD_ROOT/usr

( cd $RPM_BUILD_ROOT
  rm -f ./usr/info/dir ./usr/info/dir.info*
  rm -f ./usr/info/bfd*
  rm -f ./usr/info/readline*  ./usr/info/history*
  rm -f ./usr/info/standard*
  rm -f ./usr/bin/{texindex,texi2dvi,makeinfo,install-info,info}
  rm -f ./usr/info/texinfo* ./usr/info/info*
  gzip -9nf ./usr/info/*info*
  strip ./usr/bin/*
  rm -rf ./usr/include ./usr/lib ./usr/share
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
install-info /usr/info/gdb.info.gz /usr/info/dir
install-info /usr/info/gdbint.info.gz /usr/info/dir
install-info /usr/info/mmalloc.info.gz /usr/info/dir
install-info /usr/info/stabs.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    install-info --delete /usr/info/gdb.info.gz /usr/info/dir
    install-info --delete /usr/info/gdbint.info.gz /usr/info/dir
    install-info --delete /usr/info/mmalloc.info.gz /usr/info/dir
    install-info --delete /usr/info/stabs.info.gz /usr/info/dir
fi

%files
%defattr(-,root,root)
/usr/bin/*
/usr/man/*/*
/usr/info/*info*

%changelog

* Sun Oct  3 1999 <hjl@valinux.com>
- Fixed a thread/signal race condition.
- Fixed a dead thread bug.
- Added AMD Athlon support in disassembler.
- Updated to 4.17.0.14.

* Fri Aug 20 1999 <hjl@valinux.com>
- Updated cplus-dem.c from gcc 2.95.1.
- Updated to 4.17.0.13.
